package com.zhentao.dto;

import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.Map;

public class AppIdSecretValidator {
    private static final String APPID = "wxc8a6a80ca6808238";
    private static final String SECRET = "96f6ef6782c1080b1c33016c0d0555b5";

    public static void main(String[] args) {
        String url = "https://api.weixin.qq.com/cgi-bin/token?" +
                "grant_type=client_credential" +
                "&appid=" + APPID +
                "&secret=" + SECRET;

        RestTemplate restTemplate = new RestTemplate();
        HttpHeaders headers = new HttpHeaders();
        HttpEntity<String> entity = new HttpEntity<>(headers);

        try {
            ResponseEntity<String> response = restTemplate.exchange(url, HttpMethod.GET, entity, String.class);
            String responseBody = response.getBody();
            System.out.println("微信接口响应内容: " + responseBody);
            if (responseBody.contains("access_token")) {
                System.out.println("APPID 和 SECRET 匹配，成功获取 access_token");
            } else {
                System.out.println("APPID 和 SECRET 可能不匹配，响应中未包含 access_token");
            }
        } catch (Exception e) {
            System.out.println("请求微信接口失败: " + e.getMessage());
        }
    }
}